create_inductor#
- TwinBuilderComponents.create_inductor(name=None, value=50, location=None, angle=0, use_instance_id_netlist=False)[source]#
Create an inductor.
- Parameters:
- name
str
,optional
Name of the inductor. The default is
None
.- value
float
,optional
Value for the inductor. The default is
50
.- location
list
of
float
,optional
Position on the X axis and Y axis. The default is
None
.- angle
float
,optional
Angle rotation in degrees. The default is
0
.- use_instance_id_netlistbool,
optional
Whether to use the instance ID in the net list. The default is
False
.
- name
- Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent
Circuit Component Object.
References
>>> oEditor.CreateComponent